diff --git a/web/package.json b/web/package.json
index 45294a7..acfcb2e 100644
--- a/web/package.json
+++ b/web/package.json
@@ -96,7 +96,7 @@
     "tempusdominus-core": "^5.0.3",
     "underscore": "^1.9.1",
     "watchify": "~3.11.1",
-    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#4748acfe929eb65c54a464230672ce4372442c89",
+    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#7a14f50a7197fe3824d706c85485a49fa9166804",
     "wkx": "^0.4.6"
   },
   "scripts": {
diff --git a/web/pgadmin/browser/static/js/toolbar.js b/web/pgadmin/browser/static/js/toolbar.js
index 0442d75..955fe6f 100644
--- a/web/pgadmin/browser/static/js/toolbar.js
+++ b/web/pgadmin/browser/static/js/toolbar.js
@@ -17,9 +17,9 @@ let _browserPanel = null;
 // Default Tool Bar Buttons.
 let _defaultToolBarButtons = [
   {
-    label: gettext('Filtered Rows'),
-    ariaLabel: gettext('Filtered Rows'),
-    btnClass: 'pg-font-icon icon-filter-table-toolbar',
+    label: gettext('Query Tool'),
+    ariaLabel: gettext('Query Tool'),
+    btnClass: 'pg-font-icon icon-query-tool',
     text: '',
     toggled: false,
     toggleClass: '',
@@ -37,9 +37,9 @@ let _defaultToolBarButtons = [
     enabled: false,
   },
   {
-    label: gettext('Query Tool'),
-    ariaLabel: gettext('Query Tool'),
-    btnClass: 'pg-font-icon icon-query-tool',
+    label: gettext('Filtered Rows'),
+    ariaLabel: gettext('Filtered Rows'),
+    btnClass: 'pg-font-icon icon-filter-table-toolbar',
     text: '',
     toggled: false,
     toggleClass: '',
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index e7cea6e..4846a80 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -37,7 +37,7 @@
 }
 
 /* darken % taken from bootstrap - button_variant */
-.wcFrameButton:hover, .wcFrameButtonHover {
+.wcFrameButton:hover, .wcFrameButtonHover,  .wcFrameButton:focus {
   background-color: $btn-secondary-hover-bg;
 }
 
@@ -57,9 +57,7 @@
   padding: 0rem 0.25rem;
 
   display: -webkit-flex; /* Safari */
-  -webkit-flex-direction: row-reverse; /* Safari 6.1+ */
   display: flex;
-  flex-direction: row-reverse;
 }
 
 
diff --git a/web/yarn.lock b/web/yarn.lock
index 2143a33..2627266 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -9030,9 +9030,9 @@ watchpack@^1.6.0:
     graceful-fs "^4.1.2"
     neo-async "^2.5.0"
 
-"webcabin-docker@git+https://github.com/EnterpriseDB/wcDocker/#4748acfe929eb65c54a464230672ce4372442c89":
+"webcabin-docker@git+https://github.com/EnterpriseDB/wcDocker/#7a14f50a7197fe3824d706c85485a49fa9166804":
   version "2.2.4-dev"
-  resolved "git+https://github.com/EnterpriseDB/wcDocker/#4748acfe929eb65c54a464230672ce4372442c89"
+  resolved "git+https://github.com/EnterpriseDB/wcDocker/#7a14f50a7197fe3824d706c85485a49fa9166804"
   dependencies:
     FileSaver "^0.10.0"
     font-awesome "^4.7.0"
